@charset "utf-8";

.l-inner {
  max-width: 1206px;
  margin: 0 auto;
  padding: 0 20px;
}

.js-fade-trigger {
  opacity: 0;
  transform: translateY(20px);
}

.fade-up {
  animation-name: fadeUp;
  animation-duration: 1s;
  animation-fill-mode: forwards;
  opacity: 0;
}

@keyframes fadeUp {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.gjs-dashed *[data-highlightable] .js-fade-trigger {
  opacity: 1;
  transform: translateY(0);
}

.c-btn {
  background: var(--color-yellow);
  border-radius: 999px;
  display: inline-flex;
  justify-content: space-between;
  padding: 0 13px;
  gap: 10px;
  align-items: center;
  width: 100%;
  max-width: 300px;
  height: 51px;
  font-weight: 600;
  letter-spacing: 0.05em;
  transition: all 0.2s ease;

  div {
    flex: 1 1 auto;
    text-align: center;
  }
}

.c-btn::after,
.c-btn::before {
  transition: all 0.2s ease;
}

.c-btn-circle:hover {
  color: white;
}

.c-btn-circle::after {
  content: "";
  width: 33px;
  height: 33px;
  background: #fff url("https://liaison-ltd.com/system_panel/uploads/images/arrow-right-black.svg") no-repeat center center / 30%;
  border-radius: 50%;
  flex-shrink: 0;
}

.c-btn-circle:hover::after {
  background: #fff url("https://liaison-ltd.com/system_panel/uploads/images/arrow-right-yellow.svg") no-repeat center center / 30%;
}

.c-bg-yellow {
  background: var(--color-yellow);
  position: relative;
  z-index: 1;
  overflow-x: clip;
}

.c-bg-yellow::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: -200px;
  left: 50%;
  transform: translateX(-50%);
  min-width: 1700px;
  width: 125%;
  height: 972px;
  border-radius: 50%;
  background: var(--color-yellow);
  clip-path: polygon(0 0, 100% 0, 100% 50%, 0 50%);

  @media (width < 768px) {
    min-width: 1000px;
    width: 170%;
    top: -100px;
  }
}

.c-heading {
  display: flex;
  flex-direction: column;
  gap: 7px;
}

.c-heading__ja {
  font-weight: 600;
  line-height: 1;
  letter-spacing: 0.1em;
}

.c-heading__en {
  font-weight: 700;
  font-size: 50px;
  font-family: var(--font-raleway);
  line-height: 1.3;
}

.c-works-item {
}

.c-works-item__head {
  width: 100%;
  aspect-ratio: 358/247;
  border-radius: 10px;
  overflow: hidden;
  object-fit: cover;

  img {
    object-fit: cover;
  }
}

.c-works-item__title {
  margin-top: 16px;
  color: var(--color-black);
  letter-spacing: 0.06em;
}

.c-text-slide {
  overflow: hidden;
  display: flex;
  width: max-content;
  animation: slideText 20s linear infinite;

  div {
    flex: 0 0 auto;
    white-space: nowrap;

    p {
      padding-right: 1em;
    }
  }
}

.gjs-dashed *[data-highlightable] .c-text-slide {
  animation: none;
  flex-direction: column;

  div {
    font-size: 60px;
  }
}

@keyframes slideText {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}
